Jump to content
  • 0

Using dumpgenerator.py on 1.10 wiki version


Question

Hi, I'm trying to use dumpgenerator.py from https://github.com/WikiTeam/wikiteam/ .  Executing 

python dumpgenerator.py --api=http://<mywiki>/api.php --xml --images

failed with 

Quote

Unrecognised value for parameter 'meta'

I saw that the code was passing 

meta=siteinfo|userinfo|userinfo

I realized that it did not like userinfo, so I tweaked the code to not pass that parameter.  But then I ran into:

Quote

mwclient.errors.MediaWikiVersionError: Requires version 1.16, current version is 1.10

I know my wiki is ancient.  Is there an mwclient version I can use for my 1.10 version mediawiki that would work with dumpgenerator?

Link to post
Share on other sites

0 answers to this question

Recommended Posts

There have been no answers to this question yet

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.